nav {
    position: absolute;
    z-index: 2;
    width: 100%;
    @include respond-to($small-bp) {
        font-size: 18px;
    }
    @include respond-to($big-bp) {
        font-size: 22px;
    }

    .wrapper {
        position: relative;
        display: flex;
        align-items: center;
        justify-content: space-between;
        box-sizing: border-box;
        width: 100%;
        max-width: 100%;
        height: 4.167em; //92px based on 22px
        margin: 0 auto;
        padding: 0.556em 0.556em 0.556em 1.111em;
        @include respond-to($med-bp) {
            padding: 0.556em 25px;
        }
    }

    input.toggle-burger {
        position: fixed;
        top: -20px;
        left: -20px;
        &:checked {
            ~ label.burger {
                &:before {
                    @include icon($icon-close);
                    transform: rotate(180deg);
                }
            }
            ~ .mask {
                display: block;
                position: fixed;
                z-index: 3;
                top: 4.167em;
                left: 0;
                width: 100%;
                height: calc(100% - 4.167em);
                background-color: rgba(0, 0, 0, 0.7);
                transition: all .2s ease-in-out;
            }
            ~ .mobile-navigation {
                transform: translateX(0);
                a {
                    transform: translateX(0);
                }
            }
        }
    }

    .burger {
        display: inline-block;
        position: relative;
        align-self: flex-start;
        color: $purple;
        line-height: 55px;
        font-size: 1.889em;
        text-align: center;
        cursor: pointer;
        &:before {
            @include icon($icon-burger);
            position: absolute;
            padding: 0;
            margin: 0;
            will-change: transform, contents;
            transition: transform .5s cubic-bezier(.55, 0, .1, 1);
            transform: rotate(0deg);
        }
        @include respond-to($med-bp) {
            display: none;
        }
    }

    .logo {
        margin: auto;
        height: 100%;
        @include respond-to($med-bp) {
            margin: initial;
        }
        img {
            width: auto;
            height: 100%;
            @include respond-to($small-bp) {
                content: url("/assets/logo/logo-purpleorange.svg");
            }
            @include respond-to($med-bp) {
                margin-left: -10px;
            }
        }
    }

    .user {
        position: absolute;
        top: 0.556em;
        right: 0.556em;
        padding: 0;
        width: 2.778em; //50px
        height: 2.778em; //50px
        color: $black;
        font-size: 1em;
        text-align: center;
        @include buttonStyle($purple, $black);
        &:hover {
            color: $white;
            background: $purple;
            border-bottom-color: $black;
        }
        &:active {
            background: $orange;
            border-bottom-color: $orange-dark;
        }
        @include respond-to($med-bp) {
            display: none;
        }
    }

    .mask {
        display: none;
    }

    .mobile-navigation {
        position: fixed;
        z-index: 6;
        top: 0;
        left: 0;
        box-sizing: border-box;
        width: 200px;
        height: calc(100% - 4.167em);
        margin-top: 4.167em;
        padding: 1.111em 0;
        will-change: transform;
        transform: translateX(-200px);
        transition: transform .2s ease-in-out;
        a {
            display: block;
            box-sizing: border-box;
            height: 60px;
            padding: 0 1.111em;
            line-height: 60px;
            color: $white;
            font-family: $title-font;
            font-weight: 500;
            font-size: 1em;
            text-decoration: none;
            will-change: transform;
            transform: translateX(-200px);
            transition: transform .4s cubic-bezier(.25, .75, .5, 1.25);
            &:hover {
                text-decoration: underline;
            }
            &.active,
            &:active {
                color: $orange;
            }
        }
        @include respond-to($med-bp) {
            display: none;
        }
    }

    .desktop-navigation {
        display: none;
        @include respond-to($med-bp) {
            display: flex;
            height: 100%;
            justify-content: center;
            align-items: center;
            a,
            .dropdown label {
                color: $purple;
                font-family: $title-font;
                font-size: 1em;
                padding: 0.33em 1.4em;
                background: transparent;
                border-bottom-color: transparent;
                text-transform: capitalize;
                &:hover {
                    background: $orange;
                    border-bottom-color: $orange-dark;
                }
                &:active,
                &.active {
                    background: $teal;
                    border-bottom-color: $teal-dark;
                }
            }
            .dropdown {
                a {
                    color: $white;
                }
                div {
                    position: absolute;
                    z-index: 1;
                    background-color: $teal-dark;
                }
                label {
                    &:hover {
                        color: $white;
                    }
                    &:active,
                    &.active {
                        color: $white;
                    }
                }
                input {
                    &:checked {
                        ~ label {
                            color: $white;
                            background: lighten($teal, 10%);
                            border-bottom-color: lighten($teal-dark, 10%);
                        }
                    }
                }
            }
            a {
                &:hover {
                    color: $white;
                }
                &:active,
                &.active {
                    color: $white;
                }
                &.active {
                    cursor: default;
                }
                &.profile {
                    color: $white;
                    @include buttonStyle($orange, $orange-dark);
                }
            }
        }
    }

    .homepage &,
    .developerspage &,
    .publisherspage &,
    .gamepage &,
    .joinuspage &,
    .loginpage & {
        .wrapper {
            max-width: 1200px;
        }
    }

    .homepage & {
        .logo {
            img {
                @include respond-to($small-bp) {
                    content: url("/assets/logo/logo-whiteorange.svg");
                }
            }
        }
        .burger {
            color: $teal;
        }
        .user {
            color: $teal-dark;
            @include buttonStyle($teal, $teal-dark);
        }
        a {
            color: $white;
        }
    }

    .developerspage & {
        .logo {
            img {
                @include respond-to($small-bp) {
                    content: url("/assets/logo/logo-whiteorange.svg");
                }
            }
        }
        .burger {
            color: $orange;
        }
        .user {
            color: $orange-dark;
            @include buttonStyle($orange, $orange-dark);
        }
        a {
            color: $white;
        }
    }

    .publisherspage &,
    .errorpage &,
    .loginpage & {
        .logo {
            img {
                @include respond-to($small-bp) {
                    content: url("/assets/logo/logo-whitegreen.svg");
                }
            }
        }
        .burger {
            color: $teal;
        }
        .user {
            color: $teal-dark;
            @include buttonStyle($teal, $teal-dark);
        }
        a {
            color: $white;
        }
    }
}

